# Ploopy Kit Assembly Instructions

## BEFORE YOU DO ANYTHING, READ THIS FIRST.

**Do not flash new firmware until you've verified that the electronics are all working.**

That means, finish building the trackball, plug it in, use the stock firmware for about five minutes. Verify that the cursor is moving, and all the buttons are working.

Once you've verified that it all works, you're good to go flashing new firmware.

## Main Instructions

![all kit parts](https://lh3.googleusercontent.com/pw/ADCreHfFOKGiX1egjs6ol2iNQnJ4jNDAxH1bfMqkoxHRl5mpLs3ZLxKLjKJR8xbkDLxCADVBUiWzJF8CwyH74PnvwaB3b2ErXDpoPGF3qR4dHEotAmtf3Ir6Wsf7FSntQSoPxZtsEllr6KtwjVg7xnZj4qsv=w1035-h775-s-no?authuser=0)

In this section, you'll go over how to build an Adept Trackball from the official Ploopy Adept Trackball kit.

Note that some of these pictures were taken at different times, so they may show a bit of inconsistency in between steps.

### Step 1: Get the necessary tools

![all tools](https://lh3.googleusercontent.com/pw/ACtC-3eKUqi_BjdcoJRlIiCtS0rxfiG9A3lCX8538aebNqQPccqBAioWTrmFEinRKAGVO0FNtpuwiR8vW0Ux6MPnLEe0OVpoppkdxLsX9M9iJcIh5tRhFcuQjpzP84skAn2yffFP1vID-sIKFg-YZX0lwRPI=s801-no?authuser=0)

- A #1 Phillips head screwdriver (or similar; you're looking for a small-ish screwdriver here)
- Soldering iron
- Solder

A pair of tweezers and needle-nose pliers may also be helpful during this process.

### Step 2: Break any leftover tabs off the PCB

![enter image description here](https://lh3.googleusercontent.com/pw/AP1GczMsL-8MYM2KZ_-CyFdPpuzJyChnqaTZTjUCXkvmCUbI-MlrQftVXLhMHw7z8NgtPAE_YkE4VXTxeYjPIQeWt4ItnOTl6M7VZhQLCLEnPEx4IiyrdXdXoKP7iSFYm4F_-cFrwUsvGJqLp8INjS8uZYS3=w1263-h947-s-no?authuser=0)

- In the photo, a "tab" is being pulled by the pliers.
- There may be up to six small tabs on the outside of the PCB.
- Use a set of pliers to gently break the tabs off.


### Step 3: Prepare the PCB for soldering

![enter image description here](https://lh3.googleusercontent.com/pw/AM-JKLW3h7TgW4pMeGjDc47PAWe1dF5GIvrqyLd6GkpU1HptAZluDdueUx8eZc4HpjNfvqAw-LjtBdi1GusgHrs4T-LBn9ZUElRqkYt3IHkLp0g9ObWjxKJO6SQ4DoEwqXNIK3G3FEOwIbTmZI0ATf30cUaD=w788-h585-no?authuser=0)

Prepare the following components:

- Printed circuit board
- PMW-3360 chip
- PMW-3360 optic

The PMW-3360 chip will come in a small piece of foam. Go ahead and remove it now.


### ***STOP! Read the next step fully before continuing.***

### Step 4: Solder PMW-3360 sensor to printed circuit board

![sensor seated in adept board](https://lh3.googleusercontent.com/pw/ADCreHehVrdHsWHFfOsmIu8JmE-wh28OtYddyUY4Ai_P1kpBq-sYIE9LTbAQ48mjD3TmDaXAyEmRp7H81yJ4qvvMoYZn0PnEd8vFci3_DdcdyLwYdTi8HWACSfjMvTryCu3uCKchpxT_am9Lpb4Eu1ZP0KC_=w1038-h775-s-no?authuser=0)

Before soldering:

- **MAKE 👏 SURE 👏 THAT 👏 THE 👏 PMW-3360 👏 IS 👏 ORIENTED 👏 CORRECTLY 👏 BEFORE 👏 YOU 👏 SOLDER 👏 IT!** This is a really easy step to mess up, so *CHECK IT TWICE!*
- See the photo for clarification. Note the orientation of the text on the chip, as well as the pattern of dots on the chip. Also note the "1" on the printed circuit board.
- One warning to double-check the sensor orientation isn't sufficient. Stop what you're doing, right now, and check it. **Seriously.** Be kind to your future self, and save yourself a headache.
- Once you are absolutely sure that you have oriented the PMW-3360 correctly, solder it down.
- The sensor must be flat down as far as it can possibly slide into the holes before soldering. Don't let it "float" while you're soldering the first pin down.

### Step 5: Remove the tab of kapton tape on the PMW-3360

![kapton being removed from sensor](https://lh3.googleusercontent.com/pw/AIL4fc-8G-mQvbF_1cp2btwVxMrvh1B0pSy-Fc7e26FWPlJmn4vczL_8a6-QBU6ESES4qihVTvNiYm30sgrUXQclvKBQ9LEvCI0od_DjCHe0KzN82qG61yzgV2os908o8oz7CyDKFB-lFjRNfQUs2mo5zutR=w1033-h775-s-no?authuser=0)

- There are two small tabs of orange tape covering the sensors main holes. Remove them now.
- Try to do this in a dust-free environment.
- Check your solder joints during this step to ensure that they are good.

### Step 6: Attach the optic to the PMW-3360

![optic attached](https://lh3.googleusercontent.com/pw/AIL4fc8euxSp-rxmJew4_Bqsws26bLEEAvLh3dyAlh4n9AWyYdr_heKJ1EHEcAhnnGyrQ1pZIU575Sd6CubS9Ri5Yshdc8IwCY3NUXgnC3_Zsu--UJ0ttD3M0VN5j3fRkgCXmNdmXNahQhM1U5Cb0XLNJAIa=w1033-h775-s-no?authuser=0)

- Orient the optic correctly before insertion. It should **NOT** require any force to insert fully; if it does, remove it and check the orientation before trying again.

### Step 7: Place the PCB into the Base

![pcb in base](https://lh3.googleusercontent.com/pw/ADCreHe3900iYyddGPdg8QBqBLne3iffu9g2zxRoJel0syzkDh40PlmCGBhwWDQffKe95EDzeMe1By_y34D4w6RH6OJqY03_oabp4YgkLbw0Rzo4rBqAMR0TR4eryGyk5Kb11soTpq02rol7bwMiqeknpIV_=w1033-h775-s-no?authuser=0)

### Step 8: Place the Sensor Cap on the PCB

![sensor cap on optic](https://lh3.googleusercontent.com/pw/ADCreHeyaHidkp5tdhs2B2VSzjPZuK7h13U4rjR06DhwL8oOTjdEYHHFmu_qX7fBg9xMmduOM__pDwmDrxgfpqFsL7_snviY2XoWrA5SKRp4ux_bYwSGHsbyYtKis1TgWR0vKfPwiAfALeEEB-wjoNNsWVww=w1033-h775-s-no?authuser=0)

- The Sensor Cap doesn't snap onto the PMW-3360 optic. It "floats" on top of the optic for now. Once fully assembled, the Sensor Cap will be securely held down.
- The position of the Sensor Cap doesn't precisely matter for the moment. Just try to get it roughly centered on the optic.

### Step 9: Place the Top onto the Base

![top placed](https://lh3.googleusercontent.com/pw/AIL4fc_EQRIgonn-6qqwASgfX-E2CL5mis4GArH4WeHOLyyr2cJFlKm2lOMHlquGJQa8TvKmSfYe7aULWrn_fhZ43kTjftY9IfzSpCQt6MBi0ku9eH_pyBy-SwqUeKvpBJspaf2zA5mBB_ChBrbo_lr0RWKQ=w1033-h775-s-no?authuser=0)

- If necessary, adjust the position of the Sensor Cap as you're lowering the Top onto the Base.

### Step 10: Screw the Base into the Top

![screws being drive into bottom](https://lh3.googleusercontent.com/pw/AIL4fc9Z5X1b7N9FT5oQeCQG5j5ItdGgg55qI5fjF87RnUjwaUGx_Ijgw6UlwNRC46gmqmnXdT26Cm-n6W-Z1Va8gYGIWzH1oOKrTD7P0ebvwt_lhH6QehKJkve643MZQobipO6AMt6u0rU1-7u2h-URjyoj=w1033-h775-s-no?authuser=0)

- Go slowly as you drive screws during this step. When you feel significant resistance, **stop**.

### Step 11: Prepare bearing press jig

![](https://lh3.googleusercontent.com/pw/ACtC-3fcHifwU-lceEx1MLBdimwCm6YiIihikVyH3o47rS98Kh0aqGivpEWOL1eh6f2ibLkXw1d3fMRY59Sdsr3q6CPVXu1lPp6L0VYicMQjhEkzmbeZhL7hxrkcK6QJq7s_bKvyd2hAVz7fV529o8yORZbG=s969-no?authuser=0)

Prepare the following components:

- Bearing press jig
- 3x roller bearing
- 3x roller bearing dowel

### Step 12: Insert roller bearing and roller bearing dowel into bearing

![press jig ](https://lh3.googleusercontent.com/pw/ACtC-3fRT6fulgpn47hSmfqh7kCG2iNbNzv_x9CD6Zf1nxVRncDQu5ytk1cDuZFMIYnj_wwY0HwsVe3UukCv6-x9x2GiOXHWvwtCeBj57Src-WgTk7csrvDrtiUCFy6ahzs6LfD9mK1mJ34lM7AamE3TEte2=s969-no?authuser=0)

### Step 13: Press the bearing press jig together

![](https://lh3.googleusercontent.com/pw/ACtC-3d8_AnAnkjIbIy7z6Q8JS7EZJ8dG0vs0KRHT8hP5Rz-Dxz9qb992tmbLi10SfHgHt7-vNjDeKbpwyhoTiD8J3Tb9qNSTWhlCfKPTFQv-HdQ2HCkcNNwnsLWk5u_mlPgqrjlei9TVceGlfCAmZrfqRcK=s969-no?authuser=0)

This may require a surprising amount of force. Try your best not to bend the roller bearing dowel, but if you do, there should be spares with your kit parts.

### Step 14: Remove bearing from bearing press jig and repeat

![](https://lh3.googleusercontent.com/tDT3xaB105S_s87Qs_729WFTWj3YVGqZBMyM6iDCvnXjb93gdMC2k8QVjuNm4xRo3OSPbs94wE8G5tSKz1lqxZZ5-lh6UbCnuZe-MK3Kw9_pmYj7oO-aeVz_lP5aVHtzvQfxXNqiQHqFckddRPZ7VWgzCURwY6DpRRASEitkvFmKcn7hbTt7kUHNXZXzxy1Q85U6vun5VZ54P84xDU0AASsqPj1Sfo1P1E83_K9xhSASliFd4qUPL03XtejmRMNGbASAVO8zUBVn6qWFMMgayJRpsnYq225TEktqEpgv4raeZYyNVhL2YepfmQtKoReyFExeRNz5oGlZ_1_iae8KhKnmK5ZHMyTMw_sNZxUyghzEZFbSMm4WZmmP96-XFdSv8IPMjv1CdUFhDpP6b1d8i_jpPMLMG0aFzMoRkyX_rh_DVdpG-CoM8lZlMsRwT2vy5H_Mrju9At7a2Vn-8OcLs9hELAUmqgOrlJqwhCLgJIHXSz_XuLG6RlBsJFUvVIGreR_8YOS84lU0DatIqockhYvJ9leT-xbO6w4AAdo6da0DMW818BTXIWRd3CkjlZjSsOjymYaTJSu6U-doglnrrqr51DS-OgIfZyq91sJucVUwqT3Ow5oQNEz3bMi55IMBPmDCaZGBjtPXv2GHKi1JS3S3DLBxBqjAz4_rcqw8JLPRsrGSZZjimy4oNaNOUklme6bmEeaBL7sQ3AkBsnBNFKKWD2uyHxDNFZuQxT66FmiCf3M=w1454-h969-no)

At the end, all of your bearings should look like this.

### Step 15: Insert roller bearings into the Top

![](https://lh3.googleusercontent.com/XnP0djOr1WwefBp4rDly1YdNyW2AQhd-coKtscZKv4xwLYQmJh_O-Yihrh0kl4qVAVJzwqvUfclbO-AARVt4Oj-sKAitXEjXrTa9eQkSTTAPYWJnLc7gkS8j-tN1GtmaKbSNINXwkJ6ZZMrajByS7vWSRSjNuC8hHUd_JKAmnY9irJVoUA94iEWYrB4KBVxBaU0esIEXEof3rUggpv_uvVDYDBlDYpmaFRC0tnzvHJRxh-NW0WDAP2H9yjmCHNOmo04t-DF5EK2o4DYGlYeZ-amr1TsrGEmFdWtrc61bnUenfm0Ulv03gWHOZauP4YzcY2UQReYbF-dNYhlvbFwStHIYuEG4NqCsLKivuc42vBo89eCMaUe34BptrLVSyakLd0pp4gIjZql1-fCpfeGk4Gql2eRTs9QVwKzJsBwZdpzvZLcKFdvOpXAkSpD-GL50yMmYE74fzZa5wMb_8JUfeaLCtKLGSdMXIuDj7CgYarGZHs0hIhD-ACPOcFSUXrhXLrK4qHVwiHV3OXJ99RrEamD6_zqgOKKweBi3jInbRoLBHl9HRzRL9QureF2lYC0jbQuoM6jrkkHSKEcjGtVyIJyOfErP4hwQwMo2PbWC-OmimmXa6t3s9LkQxW-vgFXw4GfPPEDDSHsh99zX4VRnrvDOXaqatlAfMJVqVTLfOBUb8dkteuhFbpbdQH0xvRvradtn3gbNgk3ScUEUsCPk_RUCHkUBFVKLJzOjqXzPIXoa03s=w1454-h969-no)

- Ensure that the bearings are pressed all the way into the case. If the bearings aren't seated all the way, there's a good chance that the ball will become badly scratched.
- Needle nose pliers or some similar tool can be used to ensure that the bearing is fully seated.

### Step 16: Prepare the Friction Pads

![body and friction pads](https://lh3.googleusercontent.com/pw/AIL4fc-ubZ-emcpyggq24CCyxfvzE6jKMQSZNqjEauKzWoBAORulF75JEtY2P1fVX129CNmYUr__yCw6qi1IFuqdWPJJ50RiYD_F4nk2iav3m2EWq4Jetg_4y8wktTatnZUBbUZ4C6wOpHelmsSFh7Pg7Mo5=w1033-h775-s-no?authuser=0)

Prepare the following components:

- Adept body
- 4x Friction Pads

### Step 17: Place Friction Pads on Base

![friction pads installed](https://lh3.googleusercontent.com/pw/AIL4fc9at4wIWQH0lnWBbWhNOsybppvn7eG98WloCl7TqUNH5I_tQ-bprm9cT5iy_3n5FuFSKCx0mAm_nYquFBrcfDctgTbWvzJyrwUsR7CSmoBpacKS9PgiEKsK6sOomAz8rBoMmOIoRpDd91DOEmsc6KsY=w1033-h775-s-no?authuser=0)

- Do your best not to cover the screw holes with the friction pads, as this will make opening the case more difficult in the future.

### Step 18: Insert the ball

![ball in case](https://lh3.googleusercontent.com/pw/AIL4fc_v3rGcrEshrRvIKcmJqjYXqJjULNFlgx8v1j9rOPgi9hJOhmdpvj3_65gIX0UzgcjRaRFv46Wuc2omH5nMzAh9BuDEkIOxerbp7Af1ox5CEu4AnCdRa1AiJhL-20ehFOjU61fuEXblNM5kReyks41h=w1033-h775-s-no?authuser=0)

### Step 19: Peel and stick the logo to the Top

![logo](https://lh3.googleusercontent.com/pw/ADCreHeqkMCpaURFHVMtVUhNOK22PPSPYF6FISdpbE-yzzh9Q6jIFwiIiZZv0gwiuAgsxB0uN9-9JAVcW3NefMnCiTGM7qkrOEKH_z41lAyyqdQlGFyG4BelpG6Vhp7nTvnrsegWuTRYxZRZtTkbxnlJouYU=w1033-h775-s-no?authuser=0)

This isn't strictly necessary, but we think it looks nice.

### Step 20: Verify that the Ploopy Adept Trackball is working correctly

Plug the trackball into your computer. If you move the ball, it should move the cursor.

### Step 21: Spin the ball to break in the bearings

The bearings are a bit scratchy when they're new. To prevent them from jumping around during initial use, spin the ball with some Latin dance vigour for about three minutes. That should be enough to break them in.

The bearings will take about a week to become fully broken-in.

### Step 22: All done!

Congrats, you finished building the Ploopy Adept Trackball!

It's done! Love it, use it, but don't you dare abuse it!

## FAQ

### Some buttons seem "sticky", or are too low, or are permanently clicking. What do I do?

Sometimes, the buttons on the Top need to be adjusted so that the distance between the button and the switch on the PCB are correct. You can do this either when the Top is installed or when it's removed.

The buttons can be adjusted quite far without breaking, but still, **do this slowly**. Don't move the buttons too far at one time.

[A video of how to adjust the Top when the Top is removed is available here.](https://imgur.com/2l5EsTi) This is the recommended route as it has the lowest possibility of damaging the Top.

[A video of how to adjust the Top when the Top is installed is available here.](https://imgur.com/OqEk2X5) This is only recommended if you have the capability of reprinting your own Top in case you break this one.

### I've plugged in the Adept, but none of the buttons are working, and the cursor isn't working. What's wrong?

You have a bad cable.

To expand: many USB-C cables only provide power, and their data wires aren't actually connected. If your computer seems to recognize that a device has been plugged in, but none of the buttons are working and the cursor isn't moving, the problem is almost certainly the cable.

Try using the Adept with a cable that you've verified to work with another device. If that still doesn't solve the problem, send an email to contact@ploopy.co.

### One or more of the rollers seems to be badly stuck. What do I do?

Take a look at this photo:

![enter image description here](https://lh3.googleusercontent.com/pw/AP1GczOIJRNGNC-7HbVE7ZA2MPZsiG4hSKyhmbKv4XpsuvRAk2CiMboLVKeaCeTNRPddO8OWH-iRtkB52kxGKF8wMKMhpHLt3pNnDgPUvK6nHOR0b3FWXNsol70jPqbLwHmJueBo4890GN8FFai9e2QmOg4L=w1263-h947-s-no?authuser=0)

Circled in red, you should notice a small piece of plastic sticking up into the well where the roller bearing sits. This piece of plastic can interrupt the regular movement of the roller bearing, causing it to seize up.

Remove the bearing that's not rolling correctly from the Top and look for this piece of plastic. You should be able to remove it with a pair of tweezers, though you may have to scrape quite hard to get it off.

### The buttons are all working, but the cursor isn't. What's going on?

The sensor likely isn't soldered correctly. Double-check all of your solder connections, touch them up with some flux if you have it, and try again. If it still isn't working, send an email to contact@ploopy.co.